# Introspection endpoint

Documentation owner: product `access`; documentation version: `3.9.1`.
Source: `content/products/access/3.9.1/key-components/modules/oidc/introspection-endpoint.md` at commit `eaf7a020437971baeee95e87eaf963636040ac71`.

Client credentials must be included in the HTTP Authorization header.

(Authorization: Basic \<credentials>).

:::note
**Note:** The metadata must contain the `introspection_endpoint` key.
:::

```
Example: http://127.0.0.1:8080/oidc/tenant1/introspection-endpoint
```

#### Request parameters

These parameters must be posted as a part of the URL-encoded form values.

| Parameter | Description | Mandatory |
| --- | --- | --- |
| `token` | The access token to inspect. Both opaque and jwt is supported. | true |

#### User info endpoint errors

| Error id          | Description                                                            |
| ----------------- | ---------------------------------------------------------------------- |
| `invalid_request` | The request is NOT valid. This is usually due to missing access token. |
| `invalid_client`  | The calling RP is not allowed.                                         |
